﻿using Android.App;
using Android.OS;
using System;
using ThinkGeo.MapSuite.AndroidEdition;
using ThinkGeo.MapSuite.Core;

namespace CacheSample
{
    [Activity(Label = "CacheSample", MainLauncher = true, Icon = "@drawable/icon")]
    public class MainActivity : Activity
    {
        private MapView androidMap;

        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);
            SetContentView(Resource.Layout.Main);

            androidMap = FindViewById<MapView>(Resource.Id.androidmap);
            androidMap.MapUnit = GeographyUnit.DecimalDegree;
            androidMap.CurrentExtent = new RectangleShape(-143.4, 109.3, 116.7, -76.3);

            WmsOverlay wmsOverlay = new WmsOverlay();
            wmsOverlay.ServerUris.Add(new Uri("http://wmssamples.thinkgeo.com/WmsServer.aspx"));
            wmsOverlay.Parameters.Add("LAYERS", "Countries02");
            wmsOverlay.Parameters.Add("STYLES", "SIMPLE");

            //We can set FileBitmapTileCache for WmsOverlay to cache tiles, and utilizing this cache whenever coverage is lost
            wmsOverlay.TileCache = new FileBitmapTileCache(@"/mnt/sdcard/MapSuiteSampleData/TileCaches/", "WmsSamples");
            //wmsOverlay.TileCache = new FileBitmapTileCache(@"/data/data/CacheSample.CacheSample/TileCaches/", "WmsSamples");

            androidMap.Overlays.Add(wmsOverlay);
        }
    }
}

